
#include "OpenJson.au3"

$json_text = FileRead('json.txt')
$dict = _OJParse($json_text)

; #GET COUNT OF ITEMS# ===========================================================================================================
ConsoleWrite('GET COUNT OF ITEMS' & @CRLF)
$count = $dict.Item('rows').Item(1).Item('elements').Count
ConsoleWrite('Items count: ' & $count & @CRLF & @CRLF)

; #SHOW SINGLE VALUES# ===========================================================================================================
ConsoleWrite('SHOW SINGLE VALUES' & @CRLF)
For $i = 1 To $count
	ConsoleWrite($dict.Item('rows').Item(1).Item('elements').Item($i).Item('duration').Item('text') & @CRLF)
Next
ConsoleWrite(@CRLF)

; #SHOW ALL KEYS# ===========================================================================================================
ConsoleWrite('SHOW ALL KEYS' & @CRLF)
$keys = $dict.Keys
For $k In $keys
	ConsoleWrite($k & @CRLF)
Next
ConsoleWrite(@CRLF)

; #SHOW ALL VALUES# ===========================================================================================================
ConsoleWrite('SHOW ALL VALUES' & @CRLF)
$items = $dict.Item('destination_addresses').Items
For $i In $items
	ConsoleWrite($i & @CRLF)
Next
ConsoleWrite(@CRLF)

; #CHECK IF KEY EXISTS# ===========================================================================================================
ConsoleWrite('CHECK IF KEY EXISTS' & @CRLF)
$exists = $dict.Item('rows').Item(1).Exists('elements')
ConsoleWrite("Exists key 'elements'?: " & $exists & @CRLF)


; #OUTPUT# ===========================================================================================================

;~ GET COUNT OF ITEMS
;~ Items count: 6

;~ SHOW SINGLE VALUES
;~ 3 hours 54 mins
;~ 1 hour 44 mins
;~ 1 day 18 hours
;~ 18 hours 43 mins
;~ 1 day 2 hours
;~ 1 day 18 hours

;~ SHOW ALL KEYS
;~ destination_addresses
;~ origin_addresses
;~ rows
;~ status

;~ SHOW ALL VALUES
;~ Washington, DC, USA
;~ Philadelphia, PA, USA
;~ Santa Barbara, CA, USA
;~ Miami, FL, USA
;~ Austin, TX, USA
;~ Napa County, CA, USA

;~ CHECK IF KEY EXISTS
;~ Exists key 'elements'?: True
; #OUTPUT# ===========================================================================================================
